GDB (xrefs)

Public Attributes | List of all members
infcall_suspend_state Struct Reference

## Public Attributes
struct thread_suspend_state | thread_suspend
CORE_ADDR | stop_pc
struct regcache * | registers
struct gdbarch * | siginfo_gdbarch
gdb_byte * | siginfo_data

## Detailed Description

Definition at line 8806 of file infrun.c.

## Member Data Documentation

## ◆ registers

struct regcache* infcall_suspend_state::registers

Definition at line 8812 of file infrun.c.

Referenced by discard_infcall_suspend_state(), get_infcall_suspend_state_regcache(), restore_infcall_suspend_state(), and save_infcall_suspend_state().

## ◆ siginfo_data

gdb_byte* infcall_suspend_state::siginfo_data

Definition at line 8820 of file infrun.c.

Referenced by discard_infcall_suspend_state(), restore_infcall_suspend_state(), and save_infcall_suspend_state().

## ◆ siginfo_gdbarch

struct gdbarch* infcall_suspend_state::siginfo_gdbarch

Definition at line 8815 of file infrun.c.

Referenced by restore_infcall_suspend_state(), and save_infcall_suspend_state().

## ◆ stop_pc

CORE_ADDR infcall_suspend_state::stop_pc

Definition at line 8811 of file infrun.c.

Referenced by restore_infcall_suspend_state(), and save_infcall_suspend_state().

## ◆ thread_suspend

struct thread_suspend_state infcall_suspend_state::thread_suspend

Definition at line 8808 of file infrun.c.

Referenced by restore_infcall_suspend_state(), and save_infcall_suspend_state().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/infrun.c